<?php

use App\Models\MediaMonitoring;
use App\Models\Theme;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('media_monitoring_theme', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(MediaMonitoring::class);
            $table->foreignIdFor(Theme::class);
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->nullable()->useCurrentOnUpdate();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('media_monitoring_theme');
    }
};
